<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.mkyong</groupId>
    <artifactId>docker-spring-boot</artifactId>
    <version>1.0.0</version>

    <name>docker-spring-boot</name>
    <url></url>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.2.4.RELEASE</version>
    </parent>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>11</maven.compiler.source>
        <maven.compiler.target>11</maven.compiler.target>
        <java.version>11</java.version>

        <sonar.dependencyCheck.reportPath>./target/dependency-check-report.xml</sonar.dependencyCheck.reportPath>
        <sonar.dependencyCheck.htmlReportPath>./target/dependency-check-report.html</sonar.dependencyCheck.htmlReportPath>
        <sonar.dependencyCheck.jsonReportPath>./target/dependency-check-report.json</sonar.dependencyCheck.jsonReportPath>
    </properties>

    <distributionManagement>
      <repository>
        <id>artifactory</id>
        <name>Releases</name>
        <url>https://artifactory.yipintsoi.com/repository/maven-releases/</url>
      </repository>
      <snapshotRepository>
        <id>artifactory</id>
        <name>Snapshot</name>
        <url>https://artifactory.yipintsoi.com/repository/maven-snapshots/</url>
      </snapshotRepository>
    </distributionManagement>

    <dependencies>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-thymeleaf</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- debugging -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-devtools</artifactId>
            <optional>true</optional>
        </dependency>

    </dependencies>

    <build>

        <finalName>spring-boot-web</finalName>

        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.0</version>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-release-plugin</artifactId>
                <version>3.0.1</version>
            </plugin>

            <plugin>
                <groupId>org.owasp</groupId>
                <artifactId>dependency-check-maven</artifactId>
                 <executions>
                  <execution>
                      <goals>
                          <goal>check</goal>
                      </goals>
                  </execution>
                </executions>
                <configuration>
                    <nvdDatafeedUrl>https://artifactory.yipintsoi.com/repository/objects/nvd/feed/nvdcve-{0}.json.gz</nvdDatafeedUrl>

                    <!-- NVD database cache -->
                    <dataDirectory>/.cache/nvdcache/</dataDirectory>
                    
                    <!-- Fail when Vulnerability Level Exceeds a Threshold-->
                    <failBuildOnCVSS>7</failBuildOnCVSS>

                    <!-- Generate all report formats -->
                    <format>ALL</format>

                    <ossindexAnalyzerEnabled>false</ossindexAnalyzerEnabled>
                    <retireJsAnalyzerEnabled>false</retireJsAnalyzerEnabled>
                    <centralAnalyzerEnabled>false</centralAnalyzerEnabled>
                    <nuspecAnalyzerEnabled>false</nuspecAnalyzerEnabled>
                    <assemblyAnalyzerEnabled>false</assemblyAnalyzerEnabled>

                    <suppressionFiles>${basedir}/suppressed.xml</suppressionFiles>
                </configuration>
            </plugin>
  
        </plugins>
    </build>
</project>
